org.apache.poi.poifs.crypt.temp

## Class SXSSFWorkbookWithCustomZipEntrySource

- java.lang.Object
- - org.apache.poi.xssf.streaming.SXSSFWorkbook
  - - org.apache.poi.poifs.crypt.temp.SXSSFWorkbookWithCustomZipEntrySource

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Iterable<Sheet>, Workbook

      @Beta
      public class SXSSFWorkbookWithCustomZipEntrySource
      extends SXSSFWorkbook

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xssf.streaming.SXSSFWorkbook

      `DEFAULT_WINDOW_SIZE`

    - ### Fields inherited from interface org.apache.poi.ss.usermodel.Workbook

      `PICTURE_TYPE_DIB, PICTURE_TYPE_EMF, PICTURE_TYPE_JPEG, PICTURE_TYPE_PICT, PICTURE_TYPE_PNG, PICTURE_TYPE_WMF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SXSSFWorkbookWithCustomZipEntrySource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SheetDataWriter` | `createSheetDataWriter()`
    `void` | `write(java.io.OutputStream stream)` Write out this workbook to an OutputStream.

    - ### Methods inherited from class org.apache.poi.xssf.streaming.SXSSFWorkbook

      `addOlePackage, addPicture, addToolPack, cloneSheet, close, createArchiveOutputStream, createCellStyle, createDataFormat, createFont, createName, createSheet, createSheet, dispose, findFont, flushSheets, getActiveSheetIndex, getAllNames, getAllPictures, getCellStyleAt, getCreationHelper, getFirstVisibleTab, getFontAt, getFontAt, getForceFormulaRecalculation, getMissingCellPolicy, getName, getNameAt, getNameIndex, getNames, getNumberOfFonts, getNumberOfFontsAsInt, getNumberOfNames, getNumberOfSheets, getNumCellStyles, getPrintArea, getRandomAccessWindowSize, getSharedStringSource, getSheet, getSheetAt, getSheetIndex, getSheetIndex, getSheetName, getSheetVisibility, getSpreadsheetVersion, getXSSFWorkbook, injectData, isCompressTempFiles, isDate1904, isHidden, isSheetHidden, isSheetVeryHidden, iterator, linkExternalWorkbook, removeName, removeName, removeName, removePrintArea, removeSheetAt, setActiveSheet, setCompressTempFiles, setFirstVisibleTab, setForceFormulaRecalculation, setHidden, setMissingCellPolicy, setPrintArea, setPrintArea, setSelectedTab, setSheetHidden, setSheetName, setSheetOrder, setSheetVisibility, setZip64Mode, sheetIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SXSSFWorkbookWithCustomZipEntrySource

          public SXSSFWorkbookWithCustomZipEntrySource()

  - ### Method Detail

    - #### write

          public void write(java.io.OutputStream stream)
                     throws java.io.IOException

      Description copied from class: `SXSSFWorkbook`
      Write out this workbook to an OutputStream.
      Specified by:
        `write` in interface `Workbook`
      Overrides:
        `write` in class `SXSSFWorkbook`
      Parameters:
        `stream` - - the java OutputStream you wish to write to
      Throws:
        `java.io.IOException` - if anything can't be written.

    - #### createSheetDataWriter

          protected SheetDataWriter createSheetDataWriter()
                                                   throws java.io.IOException

      Overrides:
        `createSheetDataWriter` in class `SXSSFWorkbook`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.